# Yield Booster

Through the YieldBooster plugin, every user can allocate its xKIM to a KIM position (kpNFT) in order to earn additional rewards from farming emissions.

The induced yield boost multiplier is different based on the staking position's wrapped LP, but will usually use the default x2 value.

### Mechanics of the plugin

This value is calculated for every position from the following elements:

* The position's LP amount
* The total staked LP amount across all positions and users
* The position's allocated xKIM amount
* The total allocated xKIM across all of the positions with the same LP
* The LP max boost multiplier (can't exceed x2.5)

The formula is very straightforward:

$$
boostMultiplier = \cfrac{(userLP \* totalAllocation \* maxBoostMultiplier)}{totalLP \* userAllocation}
$$

{% hint style="warning" %}
As more xKIM is assigned to a pair, the boost will decrease for each user's allocated amount. The process works in both directions; the less xKIM is assigned to a pair in total the higher the APR for each user's allocated amount
{% endhint %}

{% hint style="info" %}
The Yield Booster affects rewards earned from farming emissions (x/KIM) only, without impacting rewards from:

* LP trading fees
  {% endhint %}

### Deallocation

Deallocating xKIM from this plugin is not subject to any condition, and can be done at any time.

The deallocation fee is 0.5%.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.kim.exchange/protocol/xkim-plugins/yield-booster.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
